using PARR.Core.Repositories.Interfaces.TaskRepositories;
using PARR.DAL.Context;
using PARR.Domain.Entities.TaskEntities;

namespace PARR.DAL.Repositories.TaskRepositories
{
    internal class TaskTypeRepository : ITaskTypeRepository
    {
        private readonly DataContext dataContext;

        public TaskTypeRepository(DataContext dataContext)
        {
            this.dataContext = dataContext;
        }

        public IQueryable<TaskType> Get()
        {
            return dataContext.TaskTypes;
        }
    }
}
